> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Staking pool metadata

This endpoint returns information about staking pools such as the stake pool's address, stake authority, and fees such as staking, withdrawal, and rewards. These pools are linked to their stake authority addresses.


## OpenAPI

````yaml get /v0/solana/delegators/stakeAuthorities/{stake_authority}/poolMetadata
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/solana/delegators/stakeAuthorities/{stake_authority}/poolMetadata:
    get:
      tags:
        - Solana Delegators
      summary: Stake Authority Pool Metadata
      operationId: >-
        stake_authority_pool_metadata_v0_solana_delegators_stakeAuthorities__stake_authority__poolMetadata_get
      parameters:
        - name: stake_authority
          in: path
          required: true
          schema:
            type: string
            title: Stake Authority
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolanaStakePoolMetadata'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    SolanaStakePoolMetadata:
      properties:
        stakePoolName:
          type: string
          title: Stakepoolname
        stakePoolAddress:
          type: string
          title: Stakepooladdress
        stakeAuthority:
          type: string
          title: Stakeauthority
        stakePoolManager:
          type: string
          title: Stakepoolmanager
        stakePoolStaker:
          type: string
          title: Stakepoolstaker
        stakePoolMint:
          type: string
          title: Stakepoolmint
        reserveStake:
          type: string
          title: Reservestake
        managerFeeAccount:
          type: string
          title: Managerfeeaccount
        rewardsFee:
          type: number
          minimum: 0
          title: Rewardsfee
        solDepositFee:
          type: number
          minimum: 0
          title: Soldepositfee
        solWithdrawalFee:
          type: number
          minimum: 0
          title: Solwithdrawalfee
        stakeDepositFee:
          type: number
          minimum: 0
          title: Stakedepositfee
        stakeWithdrawalFee:
          type: number
          minimum: 0
          title: Stakewithdrawalfee
      type: object
      required:
        - stakePoolName
        - stakePoolAddress
        - stakeAuthority
        - stakePoolManager
        - stakePoolStaker
        - stakePoolMint
        - reserveStake
        - managerFeeAccount
        - rewardsFee
        - solDepositFee
        - solWithdrawalFee
        - stakeDepositFee
        - stakeWithdrawalFee
      title: SolanaStakePoolMetadata
      examples:
        - managerFeeAccount: feeeFLLsam6xZJFc6UQFrHqkvVt4jfmVvi2BRLkUZ4i
          reserveStake: BgKUXdS29YcHCFrPm5M8oLHiTzZaMDjsebggjoaQ6KFL
          rewardsFee: 0.04
          solDepositFee: 0
          solWithdrawalFee: 0.001
          stakeAuthority: 6iQKfEyhr3bZMotVkW6beNZz5CPAkiwvgV2CTje9pVSS
          stakeDepositFee: 0
          stakePoolAddress: Jito4APyf642JPZPx3hGc6WWJ8zPKtRbRs4P815Awbb
          stakePoolManager: Manager5eosrve6LktMZgVNszYzebgmmC7BjLK8NoWyRQ
          stakePoolMint: J1toso1uCk3RLmjorhTtrVwY9HJ7X8V9yYac6Y7kGCPn
          stakePoolName: Jito Stake Pool
          stakePoolStaker: tcmGTFStakerstakeDoZc18jqTqV6FawdHmncMvtRBYw7XrBNjGB5n7
          stakeWithdrawalFee: 0.001
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````